
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for DomainSimpleType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="DomainSimpleType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="AirlineProfile"/&amp;gt;
 *     &amp;lt;enumeration value="OrderManagement"/&amp;gt;
 *     &amp;lt;enumeration value="PaymentTicketing"/&amp;gt;
 *     &amp;lt;enumeration value="Shopping"/&amp;gt;
 *     &amp;lt;enumeration value="Utility"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "DomainSimpleType")
@XmlEnum
public enum DomainSimpleType {

    @XmlEnumValue("AirlineProfile")
    AIRLINE_PROFILE("AirlineProfile"),
    @XmlEnumValue("OrderManagement")
    ORDER_MANAGEMENT("OrderManagement"),
    @XmlEnumValue("PaymentTicketing")
    PAYMENT_TICKETING("PaymentTicketing"),
    @XmlEnumValue("Shopping")
    SHOPPING("Shopping"),
    @XmlEnumValue("Utility")
    UTILITY("Utility");
    private final String value;

    DomainSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DomainSimpleType fromValue(String v) {
        for (DomainSimpleType c: DomainSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
